Jump to content
Devrix

🧙 Sorcery A19 Releases Friday, August 14th! 🔥❄️⚡

Recommended Posts

Close to release mate looking good as always

It's been awhile! Nice seeing you around causing trouble again! :p

Share this post


Link to post
Share on other sites
It's been awhile! Nice seeing you around causing trouble again! :p

 

Yeh personal trauma kept me away for a bit. but back and going ok so far :-)

Share this post


Link to post
Share on other sites

Sorcery A18 - November

Due to the massive overhaul nature of Sorcery A18, in addition to RL demands, the new release goal is November. Supporters have voted for the full overhauled package instead of simply rushing a semi-broken A18 compatible version. This will also synchronize better with A18 Stable, giving more time to work out the experimental quirks of A18.

 

Deep Pockets

Everyone knows that Sorcerers have Deep Pockets! One of the exciting features of Sorcery A18 is an expanded backpack (earned), with full-size item icons, to accommodate the ocean of resources Sorcery introduces:

deep-pockets-sorcery-a18.png

It was necessary to separate this additional feature as its own Modlet to ensure compatibility with other mods that alter the backpack. To help ease the wait for Sorcery A18, I'd like to make this available for use. As shown in the pic, this 78 Slot Extended Backpack features Full-Size Item Icons and must be earned through Pocket Mods. This is a simple drag-n-drop install to the main Mods folder:

Download Deep Pockets

 

Deep Pockets Forum Topic

Edited by Devrix
Added Deep Pockets Forum Topic Link (see edit history)

Share this post


Link to post
Share on other sites
sorcery-a18-fire-armor-set.png

 

Armor Sets Coming in Sorcery A18

 

Holy Sh*t this looks amazing, i was sold before but this looks like my thing, cant wait to try it out!

Share this post


Link to post
Share on other sites

Yeah, there is a vanilla bug in Alpha 18 that messes up the mod, the bug has been confirmed by TFP, Devrix just waiting on it to be fixed, then we can all get out fix of Sorcery again.

Share this post


Link to post
Share on other sites

Is it just me or the mod is broken now? Tried installing both manually and 7d2d Mod Launcher. "null reference exception object reference not set to an instance of an object".

Share this post


Link to post
Share on other sites
Is it just me or the mod is broken now? Tried installing both manually and 7d2d Mod Launcher. "null reference exception object reference not set to an instance of an object".

 

If you read the first post and

 

Read like 2 posts above yours before you tried installing and several other posts lol you will have seen it's not a18 ready lol

Share this post


Link to post
Share on other sites
Is it just me or the mod is broken now? Tried installing both manually and 7d2d Mod Launcher. "null reference exception object reference not set to an instance of an object".

 

The creator mentioned he got a hectic RL schedule, but still hope to release a A18 stable in November, so watch this space. It always amazes me how these content creators manage to create such amazing mods, while still doing a normal job/family/rl things. Just makes one appreciate it even more.

Share this post


Link to post
Share on other sites

Sorcery A18 News

A crucial game function (onSelfEquip) is currently broken in the vanilla game that is hindering the progress and release of Sorcery A18.

This function is required for a vast number of reasons and cannot be "worked around" without breaking/removing multiple features and systems. Luckily, the vanilla bug has recently been acknowledged by TFP and is on their radar to be fixed.

 

Rest assured, Sorcery A18 and beyond will be released above what was originally intended and announced! ;) Yes, it may take some time yet but I have faith that TFP will resolve the issue soon-ish (it's an important function).

 

Here's one of the confirmed bug reports for anyone interested in reading up on it:

https://7daystodie.com/forums/showthread.php?132908-onSelfEquipStart-Bugged

(Please do not ask if X,Y,Z workarounds are possible; We need the function fixed to perform accurate cvar magic. Thank you for trying to help anyway)

A VERY SPECIAL THANK YOU TO THE SUPPORTERS THAT MAKE ONGOING DEVELOPMENT POSSIBLE!

(Your patience is greatly appreciated! Sorcery A18 would not be possible without your support)

Supporters make ongoing development possible!

 

sorcery-discord-logo.png

Share this post


Link to post
Share on other sites
Sorcery A18 News

A crucial game function (onSelfEquip) is currently broken in the vanilla game that is hindering the progress and release of Sorcery A18.

This function is required for a vast number of reasons and cannot be "worked around" without breaking/removing multiple features and systems. Luckily, the vanilla bug has recently been acknowledged by TFP and is on their radar to be fixed.

 

Rest assured, Sorcery A18 and beyond will be released above what was originally intended and announced! ;) Yes, it may take some time yet but I have faith that TFP will resolve the issue soon-ish (it's an important function).

 

Here's one of the confirmed bug reports for anyone interested in reading up on it:

https://7daystodie.com/forums/showthread.php?132908-onSelfEquipStart-Bugged

(Please do not ask if X,Y,Z workarounds are possible; We need the function fixed to perform accurate cvar magic. Thank you for trying to help anyway)

A VERY SPECIAL THANK YOU TO THE SUPPORTERS THAT MAKE ONGOING DEVELOPMENT POSSIBLE!

(Your patience is greatly appreciated! Sorcery A18 would not be possible without your support)

Supporters make ongoing development possible!

 

sorcery-discord-logo.png

 

We can wait... this is a amazing mod and a must have. Ps. Replied to that thread also

Share this post


Link to post
Share on other sites
Sorcery A18 News

A crucial game function (onSelfEquip) is currently broken in the vanilla game that is hindering the progress and release of Sorcery A18.

This function is required for a vast number of reasons and cannot be "worked around" without breaking/removing multiple features and systems. Luckily, the vanilla bug has recently been acknowledged by TFP and is on their radar to be fixed.

 

Rest assured, Sorcery A18 and beyond will be released above what was originally intended and announced! ;) Yes, it may take some time yet but I have faith that TFP will resolve the issue soon-ish (it's an important function).

 

Here's one of the confirmed bug reports for anyone interested in reading up on it:

https://7daystodie.com/forums/showthread.php?132908-onSelfEquipStart-Bugged

(Please do not ask if X,Y,Z workarounds are possible; We need the function fixed to perform accurate cvar magic. Thank you for trying to help anyway)

A VERY SPECIAL THANK YOU TO THE SUPPORTERS THAT MAKE ONGOING DEVELOPMENT POSSIBLE!

(Your patience is greatly appreciated! Sorcery A18 would not be possible without your support)

Supporters make ongoing development possible!

 

sorcery-discord-logo.png

 

These things can't be helped. Appreciate the feedback, and all the effort. Looking forward to this.

Share this post


Link to post
Share on other sites
With this new update did it fix the issue to allow your awesome mod to be used ?

onSelfEquip hasn't been fixed yet, sadly. Several sacrificial rituals are in the works to appease the TFP Gods!

Share this post


Link to post
Share on other sites

can we get an update to the first post that tells us what version of the game this works for?

 

Just edit this part "Latest Version: 0.85 - The Awakening Sorcery, The Awakening (v0.85) is now LIVE and FULLY PLAYABLE!"

 

to this ""Latest Version: 0.85 (for Alpha 18) - The Awakening Sorcery, The Awakening (v0.85) is now LIVE and FULLY PLAYABLE!"

 

thats 10 letters that would save people time insted of guessing and searching if it currently works..

Share this post


Link to post
Share on other sites

@Hedich

Why would Devrix update with incorrect information? Wouldn't you rather have the true version number, and a message stating that it is not fully playable on A18?

Also, you should always go to the last page for current info. That's just how forums work.

Share this post


Link to post
Share on other sites
@Hedich

Why would Devrix update with incorrect information? Wouldn't you rather have the true version number, and a message stating that it is not fully playable on A18?

Also, you should always go to the last page for current info. That's just how forums work.

 

What do you mean with incorrect information? of course i dont want him to write in 18 if its not working for 18

it was just an example use your brain.

 

"you should always go to the last page for current info. That's just how forums work"

 

Yeah thank you sir for teaching me how a forum work, i was probably browsing forums before you where even born little one.

 

Having TEN LETTERS in the first post so people can see if its working for current version or not is not to much to ask for, why should i have to search for it when he can just simple put it on the first post?

 

(sorry if i sound like a ♥♥♥♥head i have not had my coffee yet, i love you though.)

Share this post


Link to post
Share on other sites
What do you mean with incorrect information? of course i dont want him to write in 18 if its not working for 18

it was just an example use your brain.

 

"you should always go to the last page for current info. That's just how forums work"

 

Yeah thank you sir for teaching me how a forum work, i was probably browsing forums before you where even born little one.

 

Having TEN LETTERS in the first post so people can see if its working for current version or not is not to much to ask for, why should i have to search for it when he can just simple put it on the first post?

 

(sorry if i sound like a ♥♥♥♥head i have not had my coffee yet, i love you though.)

 

The thread title didnt give you a hint little one?

 

Cheers

Share this post


Link to post
Share on other sites
The thread title didnt give you a hint little one?

 

Cheers

 

thread title is "[MODLET] Sorcery" no, no it did not give me a hint. i think you mean the first post and that is "Sorcery A18 is coming SOON!"

yes you are right there that is a hint if anything. dont want to drag down this thread anymore (i am a nice guy really) but if you are trying to insult someone make sure you are doing it correct or it gets a bit awkward.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...